Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portlet.orb
Interface PortletHandle

All Superinterfaces
  Serializable

    public interface PortletHandle

extends Serializable

Handle to a portlet.

Method Summary
`boolean` | `equals(Object that)` Determine if this `Object` represents the same portlet as this `ObjectHandle`.
`int` | `hashCode()` Get the hash code for the portlet.
`
`<T> T`
` | `narrow(Class<T> type)` Get an implementation of the given `interface` type to be invoked against the portlet.
`String` | `toString()` Get a string representation of this `ObjectHandle`.

Method Detail

### hashCode

    int hashCode()

  Get the hash code for the portlet.

  Overrides:
    `hashCode` in class `Object`
  Returns
    the hash code for the portlet

### equals

    boolean equals(Object that)

  Determine if this `Object` represents the same portlet as this `ObjectHandle`.

  Overrides:
    `equals` in class `Object`
  Parameters
    `that` - the `Object`
  Returns
    `true` if this `Object` represents the same portlet as this portlet and `false` otherwise

### narrow

    <T> T narrow(Class<T> type)
             throws ClassCastException,
                    PortletORBException

  Get an implementation of the given `interface` type to be invoked against the portlet.

  Parameters
    `type` - the `interface` type
  Returns
    an implementation of the given `interface` type to be invoked against the portlet
  Throws
    `ClassCastException`
    `PortletORBException`

### toString

    String toString()

  Get a string representation of this `ObjectHandle`.

  Overrides:
    `toString` in class `Object`
  Returns
    a string representation of this `ObjectHandle`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.